Package ru.bitel.oss.kernel.entity.common.bean

# Class EntitySpec.Builder<T extends EntitySpec>

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntitySpec.Builder<T>

Direct Known Subclasses:
  `ContractObjectType.Builder`, `ContractParameterGroup.Builder`

Enclosing class:
  `EntitySpec`

public class EntitySpec.Builder<T extends EntitySpec> extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Builder(T spec)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `build()`
  `EntitySpec.Builder<T>`
  `setAttributeList(List<? extends AbstractSpecAttr> attributes)`
  `EntitySpec.Builder<T>`
  `setComment(String comment)`
  `EntitySpec.Builder<T>`
  `setEntitySpecTypeId(int entitySpecTypeId)`
  `EntitySpec.Builder<T>`
  `setEntityTitleMacros(String entityTitleMakros)`
  `EntitySpec.Builder<T>`
  `setHidden(boolean hidden)`
  `EntitySpec.Builder<T>`
  `setId(int id)`
  `EntitySpec.Builder<T>`
  `setModuleIds(Set<Integer> moduleIds)`
  `EntitySpec.Builder<T>`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    protected Builder(T spec)

- ## Method Details

  - ### setId

    public EntitySpec.Builder<T> setId(int id)

  - ### setTitle

    public EntitySpec.Builder<T> setTitle(String title)

  - ### setHidden

    public EntitySpec.Builder<T> setHidden(boolean hidden)

  - ### setModuleIds

    public EntitySpec.Builder<T> setModuleIds(Set<Integer> moduleIds)

  - ### setEntitySpecTypeId

    public EntitySpec.Builder<T> setEntitySpecTypeId(int entitySpecTypeId)

  - ### setEntityTitleMacros

    public EntitySpec.Builder<T> setEntityTitleMacros(String entityTitleMakros)

  - ### setComment

    public EntitySpec.Builder<T> setComment(String comment)

  - ### setAttributeList

    public EntitySpec.Builder<T> setAttributeList(List<? extends AbstractSpecAttr> attributes)

  - ### build

    public T build()